# Created by pyp2rpm-3.3.0
%global pypi_name wsproto

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 1
Summary:        WebSockets state-machine based protocol implementation
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/wsproto/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(h11)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pytest)

%description
WebSockets state-machine based protocol implementation

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(h11)

%description -n python3-%{pypi_name}
WebSockets state-machine based protocol implementation

%package -n python-%{pypi_name}-doc
Summary:        wsproto documentation

%description -n python-%{pypi_name}-doc
Documentation for wsproto

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Sun Dec 13 2020 guillomovitch <guillomovitch> 1.0.0-1.mga8
+ Revision: 1656488
- new version 1.0.0

* Sun Feb 16 2020 umeabot <umeabot> 0.15.0-3.mga8
+ Revision: 1532695
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.15.0-2.mga8
+ Revision: 1442503
- rebuild for python-3.8

* Sat Aug 31 2019 wally <wally> 0.15.0-1.mga8
+ Revision: 1435923
- new version 0.15.0
- drop python2 support

* Sat Jul 06 2019 kekepower <kekepower> 0.14.1-1.mga8
+ Revision: 1419170
- Update to version 0.14.1

* Sun Apr 07 2019 kekepower <kekepower> 0.13.0-1.mga7
+ Revision: 1386616
- Update to version 0.13.0

* Mon Jan 07 2019 kekepower <kekepower> 0.12.0-1.mga7
+ Revision: 1351229
- Update to version 0.12.0

* Fri Sep 21 2018 umeabot <umeabot> 0.11.0-2.mga7
+ Revision: 1290573
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 kekepower <kekepower> 0.11.0-1.mga7
+ Revision: 1210497
- Added description
- imported package python-wsproto

